package com.atlassian.stash.internal.web.repos.jobs;

import com.atlassian.stash.internal.web.RestEntity;
import org.codehaus.jackson.annotate.JsonCreator;

import java.util.ArrayList;
import java.util.List;

public class RestRescopeRequest extends RestEntity<RestRescopeRequest> {

    private List<String> branches = new ArrayList<>();

    public RestRescopeRequest(List<String> branches) {
        this.branches = branches;
    }

    public List<String> getBranches() {
        return branches;
    }

    @JsonCreator    // Only for Jackson
    private RestRescopeRequest() {
    }
}
